Navigation

Compatibility

For MongoDB CLI versions 1.0 and later, hosts must run the 64-bit versions of the following operating systems on an x86-64 architecture.

Operating System
Operating System Version
Amazon Linux
2
Debian
9, 10
MacOS
10.14, 10.15, 11.0
Microsoft Windows
10
Microsoft Windows Server
2012, 2012R2, 2016, 2019
Red Hat Enterprise Linux / CentOS
6, 7, 8
SUSE Linux Enterprise Server
12, 15
Ubuntu
16.04, 18.04, 20.04

MongoDB CLI versions 1.0 and later are compatible with the following versions of Atlas, Cloud Manager, and Ops Manager.

MongoDB Service
MongoDB Service Version
Atlas
Current
Cloud Manager
Current
Ops Manager
4.2 [1], 4.4
[1] Some features are not available in Ops Manager 4.2.
Give Feedback